Bug 28570 - bor_issues_top.pl using a /tmp file to log debug
Summary: bor_issues_top.pl using a /tmp file to log debug
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks: 28572
  Show dependency treegraph
 
Reported: 2021-06-16 13:24 UTC by Jonathan Druart
Modified: 2021-08-12 21:36 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Text to go in the release notes:
Version(s) released in:
21.11.00,21.05.02,20.11.09


Attachments
Bug 28570: Remove log to /tmp file from bor_issues_top.pl (3.32 KB, patch)
2021-06-16 13:25 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 28570: Remove log to /tmp file from bor_issues_top.pl (3.38 KB, patch)
2021-06-18 14:27 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 28570: Remove log to /tmp file from bor_issues_top.pl (3.44 KB, patch)
2021-06-18 15:32 UTC, Nick Clemens
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2021-06-16 13:24:02 UTC
$debug and open my $debugfh, '>', '/tmp/bor_issues_top.debug.log';

This must be removed.
Comment 1 Jonathan Druart 2021-06-16 13:25:49 UTC
Created attachment 122038 [details] [review]
Bug 28570: Remove log to /tmp file from bor_issues_top.pl

This is unusual and must not be done.
Removing it.

Test plan:
Use the "Home > Reports > Patrons with the most checkouts" report and
confirm that it is working correctly after you applied this patch
Comment 2 Martin Renvoize 2021-06-18 14:27:43 UTC
Created attachment 122145 [details] [review]
Bug 28570: Remove log to /tmp file from bor_issues_top.pl

This is unusual and must not be done.
Removing it.

Test plan:
Use the "Home > Reports > Patrons with the most checkouts" report and
confirm that it is working correctly after you applied this patch

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 3 Martin Renvoize 2021-06-18 14:28:52 UTC
Clear improvement, no regressions found.. Signing off.
Comment 4 Nick Clemens 2021-06-18 15:32:16 UTC
Created attachment 122163 [details] [review]
Bug 28570: Remove log to /tmp file from bor_issues_top.pl

This is unusual and must not be done.
Removing it.

Test plan:
Use the "Home > Reports > Patrons with the most checkouts" report and
confirm that it is working correctly after you applied this patch

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 5 Jonathan Druart 2021-06-22 10:14:48 UTC
Pushed to master for 21.11, thanks to everybody involved!
Comment 6 Kyle M Hall 2021-07-09 12:21:20 UTC
Pushed to 21.05.x for 21.05.02
Comment 7 Fridolin Somers 2021-08-02 20:12:43 UTC
Pushed to 20.11.x for 20.11.09
Comment 8 Victor Grousset/tuxayo 2021-08-12 21:36:27 UTC
Not backported to oldoldstable (20.05.x). Feel free to ask if it's needed.